Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.ms
Class DefaultEntry

    java.lang.Object
      org.archive.util.ms.DefaultEntry

All Implemented Interfaces:
  Entry

     class DefaultEntry

extends java.lang.Object
implements Entry

Nested Class Summary

Nested classes/interfaces inherited from interface org.archive.util.ms.Entry
`Entry.EntryType`

Constructor Summary
`DefaultEntry(DefaultBlockFileSystem origin, SeekInputStream input, int index)`

Method Summary
`Entry` | `getChild()`
`int` | `getIndex()`
`java.lang.String` | `getName()`
`Entry` | `getNext()`
`Entry` | `getPrevious()`
`Entry.EntryType` | `getType()`
`java.util.List<Entry>` | `list()`
`static void` | `list(java.util.List<Entry> list, Entry e)`
`SeekInputStream` | `open()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultEntry

    public DefaultEntry(DefaultBlockFileSystem origin,
                        SeekInputStream input,
                        int index)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Entry`

### getType

    public Entry.EntryType getType()

  Specified by:
    `getType` in interface `Entry`

### getNext

    public Entry getNext()
                  throws java.io.IOException

  Specified by:
    `getNext` in interface `Entry`
  Throws:
    `java.io.IOException`

### getPrevious

    public Entry getPrevious()
                      throws java.io.IOException

  Specified by:
    `getPrevious` in interface `Entry`
  Throws:
    `java.io.IOException`

### getChild

    public Entry getChild()
                   throws java.io.IOException

  Specified by:
    `getChild` in interface `Entry`
  Throws:
    `java.io.IOException`

### open

    public SeekInputStream open()
                         throws java.io.IOException

  Specified by:
    `open` in interface `Entry`
  Throws:
    `java.io.IOException`

### list

    public java.util.List<Entry> list()
                               throws java.io.IOException

  Specified by:
    `list` in interface `Entry`
  Throws:
    `java.io.IOException`

### list

    public static void list(java.util.List<Entry> list,
                            Entry e)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in interface `Entry`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.